%global major 1
%define libname %mklibname fabric %major
%define devname %mklibname -d fabric
%define _legacy_common_support 1

%global __remake_config 0

Name:           libfabric
Version:        1.11.2
Release:        %mkrel 2
Summary:        Open Fabric Interfaces
Group:		Emulators

License:        BSD or GPLv2
URL:            https://github.com/ofiwg/libfabric
Source0:        https://github.com/ofiwg/libfabric/releases/download/v%{version}/libfabric-%{version}.tar.bz2

%if %{__remake_config}
BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  libtool
%endif
BuildRequires:  gcc
BuildRequires:  libnl3-devel
# RDMA not available on 32-bit ARM: #1484155
%ifnarch %{arm}
BuildRequires:  libibverbs-devel
BuildRequires:  librdmacm-devel
%endif
%ifarch x86_64
%if 0%{?fedora} || 0%{?rhel} == 7
BuildRequires:  infinipath-psm-devel
%endif
%if 0%{?fedora} || 0%{?rhel} >= 7
BuildRequires:  libpsm2-devel
%endif
%endif

%description
OpenFabrics Interfaces (OFI) is a framework focused on exporting fabric
communication services to applications.  OFI is best described as a collection
of libraries and applications used to export fabric services.  The key
components of OFI are: application interfaces, provider libraries, kernel
services, daemons, and test applications.

Libfabric is a core component of OFI.  It is the library that defines and
exports the user-space API of OFI, and is typically the only software that
applications deal with directly.  It works in conjunction with provider
libraries, which are often integrated directly into libfabric.


%package        -n %libname
Summary:        Open Fabric Interfaces
Group:		System/Libraries

%description    -n %libname
OpenFabrics Interfaces (OFI) is a framework focused on exporting fabric
communication services to applications.  OFI is best described as a collection
of libraries and applications used to export fabric services.  The key
components of OFI are: application interfaces, provider libraries, kernel
services, daemons, and test applications.

Libfabric is a core component of OFI.  It is the library that defines and
exports the user-space API of OFI, and is typically the only software that
applications deal with directly.  It works in conjunction with provider
libraries, which are often integrated directly into libfabric.

%package        -n %devname
Summary:        Development files for %{name}
Group:		Development/C
Requires:       %{libname}%{?_isa} = %{version}-%{release}
Provides:       libfabric-devel

%description    -n %devname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q

%build
%if %{__remake_config}
./autogen.sh
%endif
%configure --disable-static --disable-silent-rules
%make_build


%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'





%files
%license COPYING
%{_bindir}/fi_info
%{_bindir}/fi_pingpong
%{_bindir}/fi_strerror
%{_mandir}/man1/*.1*

%files -n %libname
%{_libdir}/*.so.%{major}{,.*}

%files -n %devname
%license COPYING
%doc AUTHORS README
# We knowingly share this with kernel-headers and librdmacm-devel
# https://github.com/ofiwg/libfabric/issues/1277
%{_includedir}/rdma/
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/*.3*
%{_mandir}/man7/*.7*


%changelog
* Wed Dec 16 2020 tv <tv> 1.11.2-2.mga8
+ Revision: 1658001
- Update to upstream release v1.11.2 (from rc1)

* Wed Dec 09 2020 tv <tv> 1.11.2-1.mga8
+ Revision: 1654889
- Update to upstream release v1.11.2rc1

* Mon Oct 12 2020 tv <tv> 1.11.1-1.mga8
+ Revision: 1633981
- 1.11.1

* Sun Sep 20 2020 tv <tv> 1.11.0-3.mga8
+ Revision: 1628906
- Update to 1.11. (#1869025)

* Wed Aug 05 2020 joequant <joequant> 1.6.2-3.mga8
+ Revision: 1611093
- fix deps

* Fri Feb 14 2020 umeabot <umeabot> 1.6.2-2.mga8
+ Revision: 1520250
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Nov 16 2018 tv <tv> 1.6.2-1.mga7
+ Revision: 1330167
- imported package libfabric

